/*
#body-wrap      【整个网页最外层】
   └── .layout  【博客内容居中的容器】
        └── #content-wrap  【文章 + 侧边栏 的父盒子】
             ├── #article-container / #post  【文章区域】
             └── #aside-content  【侧边栏】
*/
#body-wrap {
  width: 100% !important;
}

/* 页面整体宽度 */
#body-wrap .layout {
  width: 80% !important;
  max-width: 80% !important;
}

/* 文章 + 侧边栏区域宽度 */
#body-wrap #content-wrap {
  width: 100% !important;
  
}

/* 侧边栏 */
#body-wrap #aside-content {
  width: 30% !important;
}

/* 文章内容区（防止被内部限制） */
#body-wrap #article-container {
  width: 100% !important;
}

.gallery {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(260px, 1fr));
  gap: 12px;
  padding: 20px;
}

.gallery-photo {
  display: block;
  width: 100%;
  padding-top: 75%; /* 这个是关键！让图片有高度 */
  background-size: cover;
  background-position: center;
  border-radius: 8px;
  cursor: pointer;
}
